import { registerExtension } from 'vscode/extensions';

var manifest = {name:"objective-c",displayName:"Objective-C Language Basics",description:"Provides syntax highlighting and bracket matching in Objective-C files.",version:"1.0.0",publisher:"vscode",license:"MIT",engines:{vscode:"*"},scripts:{"update-grammar":"node ./build/update-grammars.js"},contributes:{languages:[{id:"objective-c",extensions:[".m"],aliases:["Objective-C"],configuration:"./language-configuration.json"},{id:"objective-cpp",extensions:[".mm"],aliases:["Objective-C++"],configuration:"./language-configuration.json"}],grammars:[{language:"objective-c",scopeName:"source.objc",path:"./syntaxes/objective-c.tmLanguage.json"},{language:"objective-cpp",scopeName:"source.objcpp",path:"./syntaxes/objective-c++.tmLanguage.json"}]},repository:{type:"git",url:"https://github.com/microsoft/vscode.git"},main:undefined};

const { registerFileUrl, whenReady } = registerExtension(manifest);
registerFileUrl('./syntaxes/objective-c.tmLanguage.json', new URL('./objective-c.tmLanguage.json', import.meta.url).toString(), 'application/json');
registerFileUrl('./syntaxes/objective-c++.tmLanguage.json', new URL('./objective-c__.tmLanguage.json', import.meta.url).toString(), 'application/json');
registerFileUrl('./language-configuration.json', new URL('./language-configuration.json', import.meta.url).toString(), 'application/json');

export { whenReady };
